be.ehealth.businessconnector.mycarenet.attestv2.exception

## Class AttestBusinessConnectorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - be.ehealth.technicalconnector.exception.ConnectorException
      - - be.ehealth.businessconnector.mycarenet.attestv2.exception.AttestBusinessConnectorException

- All Implemented Interfaces:
    Serializable

      public class AttestBusinessConnectorException
      extends ConnectorException

  Connector Exception for eAttest Connector.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttestBusinessConnectorException(AttestBusinessConnectorExceptionValues errorCodeValue)` creates `AttestBusinessConnectorException` for given exceptionValue
    `AttestBusinessConnectorException(AttestBusinessConnectorExceptionValues errorCodeValue, Object... params)` Creates a `AttestBusinessConnectorException` for given exceptionValue and parameters.
    `AttestBusinessConnectorException(AttestBusinessConnectorExceptionValues errorCodeValue, Throwable cause, Object... params)` creates `AttestBusinessConnectorException` for given exceptionValue, exception and parameters.

  - ### Method Summary

    - ### Methods inherited from class be.ehealth.technicalconnector.exception.ConnectorException

      `getErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AttestBusinessConnectorException

          public AttestBusinessConnectorException(AttestBusinessConnectorExceptionValues errorCodeValue,
                                                  Object... params)

      Creates a `AttestBusinessConnectorException` for given exceptionValue and parameters.
      Parameters:
        `errorCodeValue` -
        `params` -

    - #### AttestBusinessConnectorException

          public AttestBusinessConnectorException(AttestBusinessConnectorExceptionValues errorCodeValue)

      creates `AttestBusinessConnectorException` for given exceptionValue
      Parameters:
        `errorCodeValue` -

    - #### AttestBusinessConnectorException

          public AttestBusinessConnectorException(AttestBusinessConnectorExceptionValues errorCodeValue,
                                                  Throwable cause,
                                                  Object... params)

      creates `AttestBusinessConnectorException` for given exceptionValue, exception and parameters.
      Parameters:
        `errorCodeValue` -
        `cause` - Throwable
        `params` - one or more parameters to be used in the error message

Connector Package PERSDENTIST 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.